---
# Configure the internal domain name of the cluster here.
cluster_base_domain: "lnxne.boe"
cluster_domain_name: "{{ cluster_name }}.{{ cluster_base_domain }}"
cluster_name: "ocpbig"

# The URL of of the archive containing the
# RHCOS kernel, initramfs, and disk images
rhcos_version: "42s390x.81.20191126.0"
rhcos_download_url: "http://bistro.lnxne.boe/redhat/alkl/rhcos/"

# The download URL of the openshift-install binary
openshift_install_binary_url: "https://mirror.openshift.com/pub/openshift-v4/s390x/clients/ocp-dev-preview/latest/openshift-install-linux-4.2.0-0.nightly-s390x-2019-11-26-194321.tar.gz"

# The public DNS server to use.  This should be
# changed to a DNS server on your intranet.
dns_nameserver: 172.18.0.1

# The IP address of the local network
# gateway, and the netmask/cidr of
# the subnet
subnet_gateway: 172.18.0.1
subnet_netmask: 255.254.0.0
subnet_cidr: 172.18.0.0/15
subnet_in_addr_name: "{{ subnet_cidr.split('.')[:3] | reverse | join('.') }}"

# This is the IP address of the bastion which the
# cluster nodes can see.
bastion_private_ip_address: 172.18.160.8
# This is the IP address of the bastion
# when the bastion is configures as a dhcp
# server.  Otherwise it is ignored.
dhcp_server_ip_address: 172.18.160.8

# z/VM kernel parameters
# User must supply zvm rd.znet device id
# based on their own environment.
# example:
# "rd.znet=qeth,0.0.0600,0.0.0601,0.0.0602,layer2=1,portno=0"
zvm_rd_znet: "rd.znet=qeth,0.0.bdf0,0.0.bdf1,0.0.bdf2,layer2=1,portno=0"
# User must supply zvm rd.dasd device id kernel arg.
# This is the device to install coreos to.
# WARNING - using the wrong device id could result in loss of data.  The
# device used in this example is not necessarily correct for your
# environment.
# example:
# "rd.dasd=0.0.0120"
# zvm_rd_dasd: "rd.dasd={{ cluster_nodes[coreos_role][item].dasd }}"
zvm_rd_dasd: "rd.zfcp={{ cluster_nodes[coreos_role][item].fcp }}"

coreos_kargs_net:
  zvm: "ip={{ cluster_nodes[coreos_role][item].ip }}::{{ subnet_gateway }}:{{ subnet_netmask }}:::none nameserver={{ bastion_private_ip_address }} {{ zvm_rd_znet }} zfcp.allow_lun_scan=0  cio_ignore=all,!condev"

coreos_kargs_extra:
  zvm:  "{{ zvm_rd_dasd }}"

dev_disk:
  zvm: sda

# This is the default node configuration.
# Please ensure the MAC addresses are
# correct for the hardware you are deploying to.
# The IP addresses must be on the same subnet as
# the {{ cluster_subnet_prefix }}
# CHANGEME!
cluster_nodes:
  bootstrap:
   bootstrap-0:
    mac: '52:54:00:d0:f7:01'
    ip: '172.18.160.9'
    disk: "{{ dev_disk[install_mode] }}"
    fcp: '0.0.1C49,0x5001738030290140,0x0009000000000000'
    ign_profile: bootstrap.ign
  masters:
   master-0:
    mac: '52:54:00:d0:f7:02'
    ip: '172.18.160.25'
    disk: "{{ dev_disk[install_mode] }}"
    fcp: '0.0.1C59,0x5001738030290140,0x0019000000000000'
    ign_profile: master.ign
   master-1:
    mac: '52:54:00:d0:f7:03'
    ip: '172.18.161.25'
    disk: "{{ dev_disk[install_mode] }}"
    fcp: '0.0.1c19,0x5001738030290140,0x0019000000000000'
    ign_profile: master.ign
   master-2:
    mac: '52:54:00:d0:f7:04'
    ip: '172.18.87.25'
    disk: "{{ dev_disk[install_mode] }}"
    fcp: '0.0.1cb9,0x5001738030290140,0x0019000000000000'
    ign_profile: master.ign
  workers:
   worker-0:
    mac: '52:54:00:d0:f7:05'
    ip: '172.18.161.9'
    disk: "{{ dev_disk[install_mode] }}"
    fcp: '0.0.1c09,0x5001738030290140,0x0009000000000000'
    ign_profile: worker.ign
   worker-1:
    mac: '52:54:00:d0:f7:06'
    ip: '172.18.87.9'
    disk: "{{ dev_disk[install_mode] }}"
    fcp: '0.0.1ca9,0x5001738030290140,0x0009000000000000'
    ign_profile: worker.ign



# The following variables should generally not need to be edited

install_mode: zvm

# This will be the same as the bastion private ip when
# bastion is a separate VM, otherwise it is the gateway ip.
# dhcp_server_ip_address is not used by default in a z/VM install
bastion_public_ip_address: "{{ ansible_default_ipv4.address }}"

# pxe_mode (grub, pxelinux)
# use pxelinux mode for zvm to generate
# parmfiles, then punch and IPL manually
pxe_mode: pxelinux

ocp4_pull_secret: "{{ lookup('file', '~/.ocp4_pull_secret') | from_json }}"

rhcos_disk_type:
  zvm: metal-bios

rhcos_installer_initramfs: 'rhcos-{{ rhcos_version }}-installer-initramfs.img'
rhcos_installer_kernel: 'rhcos-{{ rhcos_version }}-installer-kernel'
rhcos_disk_image: 'rhcos-{{ rhcos_version }}-{{ rhcos_disk_type[install_mode] }}.raw.gz'

rhcos_download_files:
  - '{{ rhcos_installer_initramfs }}'
  - '{{ rhcos_installer_kernel }}'
